eric ide

Issue211

Classification
Title: Edit menu items disabled
Type: behavior Product: eric6
Process
Priority: high    
Status: closed Resolution: rejected
Superseder: Nosy List: MartinHo, detlev, smel
Assigned to: Keywords:

Created on 2016-11-21.20:12:37 by MartinHo, last changed by detlev.

Files
File Name Uploaded Description Remove
Screenshot_Eric_Edit_Menu.png MartinHo, 2016-11-21.20:12:37 Screenshot of Edit menu with disabled items
Messages (5.0)
msg862 (view) Author: detlev Date: 2017-03-15.17:19:25
The screenshot indicates, that the editor did not have the focus when the menu was 
activated (at least Qt did not recognize the focus). Please note as well, that your 
version of eric is very old (~18 months) and not supported by me anymore. Please 
upgrade to the latest version and try again.
msg861 (view) Author: smel Date: 2017-03-15.13:11:20
I have the same issue with the edit menu in eric 6.0.8-1 in Ubuntu 16.04. Not
sure how the program could not have the keyboard focus either when I'm in eric
editing a file. Without search functionality it's practically unusable.

I also get occational popus like this one. Not sure it it's related.
"""
Warning:
uint DBusMenuExporterDBus::GetLayout(int, int, const QStringList&,
DBusMenuLayoutItem&): Condition failed: menu
File: None
Line: 0
Function: None
"""
msg798 (view) Author: detlev Date: 2016-12-06.17:47:24
This is the expected behavior when the editor or the shell does not have the 
keyboard focus.
msg791 (view) Author: MartinHo Date: 2016-11-23.18:04:02
The keyboard short-cuts of the affected menu items (e.g. Crtl-F for Search) are 
also not working.
msg790 (view) Author: MartinHo Date: 2016-11-21.20:14:54
Eric version 6.0.8-1
On Ubuntu 16.04 LTS 64-bit
History
Date User Action Args
2017-03-15 17:19:25detlevsetmessage_count: 4.0 -> 5.0
messages: + msg862
2017-03-15 13:11:20smelsetmessage_count: 3.0 -> 4.0
nosy: + smel
messages: + msg861
2016-12-06 17:47:24detlevsetstatus: new -> closed
resolution: rejected
messages: + msg798
message_count: 2.0 -> 3.0
nosy: + detlev
2016-11-23 18:04:02MartinHosetmessage_count: 1.0 -> 2.0
messages: + msg791
2016-11-21 20:14:54MartinHosetmessage_count: 1.0
nosy: + MartinHo
messages: + msg790
2016-11-21 20:12:37MartinHocreate